=== debian/changelog ===
librepfunc (1.6.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1023110)

 -- Fab Stz <fabstz-it@yahoo.fr>  Sun, 30 Oct 2022 11:27:11 +0100
