=== debian/watch ===
version=4
opts=repack,repacksuffix=xz,filenamemangle=s/.+\/@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.xz/ \
  https://github.com/wirbel-at-vdr-portal/librepfunc/tags .*/@ANY_VERSION@\.tar\.gz
