=== debian/changelog ===
librepfunc (1.7.0-1) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.2 (no changes needed)
  * d/control: fix typo in long description
  * New upstream version 1.7.0

 -- Fab Stz <fabstz-it@yahoo.fr>  Tue, 20 Jun 2023 22:05:28 +0200
