=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Fab Stz <fabstz-it@yahoo.fr>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
 Vcs-Git: https://salsa.debian.org/bastif/librepfunc.git
 Vcs-Browser: https://salsa.debian.org/bastif/librepfunc
@@ -30,7 +30,7 @@
   * FloatToStr
   * ExpToStr
   * StrToInt
-  + StrToFloat
+  * StrToFloat
  .
  print time
   * TimeStr
