=== debian/changelog ===
librepfunc (1.8.1-1) unstable; urgency=medium

  * New maintainer (Closes: #1052443).
  * Remove cruft and disable verbose in 'd/rules'.
  * Add 'd/upstream/metadata'.
  * Changed VCS field data now repo has moved.

  [ Fab Stz ]
  * refresh patches

  [ Apostolos Kefalas ]
  * New upstream version 1.8.1
  * Add myself as co-maintainer
  * Update d/copyright with myself and year

 -- Apostolos Kefalas <sv1ljj@raag.org>  Fri, 17 Nov 2023 20:53:04 +0200
