=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: librepfunc
 Section: libs
 Priority: optional
-Maintainer: Fab Stz <fabstz-it@yahoo.fr>
+Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Uploaders: Apostolos Kefalas <sv1ljj@raag.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
-Vcs-Git: https://salsa.debian.org/bastif/librepfunc.git
-Vcs-Browser: https://salsa.debian.org/bastif/librepfunc
+Vcs-Git: https://salsa.debian.org/kathenas/librepfunc.git
+Vcs-Browser: https://salsa.debian.org/kathenas/librepfunc
 
 Package: librepfunc1
 Architecture: any
@@ -59,7 +60,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: librepfunc1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: librepfunc1 (= ${binary:Version}), ${misc:Depends}
 Description: set of C++ classes and utilities for building multimedia tools (dev files)
  This is a collection of utilities and functions used for example in w-scan-cpp
  .
