=== debian/changelog ===
librepfunc (1.9.0-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Change VCS to debian group.

  [ Apostolos Kefalas ]
  * New upstream version 1.9.0
  * Update year in d/copyright

 -- Apostolos Kefalas <sv1ljj@raag.org>  Fri, 23 Feb 2024 19:47:40 +0200
