## librepfunc 1.10.0

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 #   - MINOR++  -> API-compatible, but new functionality
 #   - PATCH++  -> API untouched changes
 MAJOR = 1
-MINOR = 9
+MINOR = 10
 PATCH = 0
