=== debian/changelog ===
librepfunc (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0

 -- Apostolos Kefalas <sv1ljj@raag.org>  Sun, 17 Mar 2024 12:19:26 +0200

librepfunc (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1

 -- Apostolos Kefalas <sv1ljj@raag.org>  Wed, 06 Mar 2024 16:22:05 +0200
