=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
-Vcs-Git: https://salsa.debian.org/kathenas/librepfunc.git
-Vcs-Browser: https://salsa.debian.org/kathenas/librepfunc
+Vcs-Git: https://salsa.debian.org/debian/librepfunc.git
+Vcs-Browser: https://salsa.debian.org/debian/librepfunc
 
 Package: librepfunc1
 Architecture: any
