=== debian/changelog ===
librepfunc (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2
  * Refresh patches
  * Adopt package. Thanks Phil Wyett! (Closes: #1072194)
  * Bump standards version to 4.7.2 (no changes needed)
  * Set multiarch same

 -- Apostolos Kefalas <sv1ljj@raag.org>  Sat, 27 Dec 2025 14:30:37 +0200
