=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: librepfunc
 Section: libs
 Priority: optional
-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
-Uploaders: Apostolos Kefalas <sv1ljj@raag.org>
+Maintainer: Apostolos Kefalas <sv1ljj@raag.org>
 Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/wirbel-at-vdr-portal/librepfunc
 Vcs-Git: https://salsa.debian.org/debian/librepfunc.git
 Vcs-Browser: https://salsa.debian.org/debian/librepfunc
 
 Package: librepfunc1
 Architecture: any
-Multi-Arch: no
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: set of C++ classes and utilities for building multimedia tools
  This is a collection of utilities and functions used for example in w-scan-cpp
